Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

The enumeration defines the status codes assigned to the property.

Defines status codes for the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus

  The specified cache entry was not found.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ConnectFailure

  The remote service point could not be contacted at the transport level.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ConnectionClosed

  The connection was prematurely closed.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus KeepAliveFailure

  The connection for a request that specifies the Keep-alive header was closed unexpectedly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus MessageLengthLimitExceeded To be added.

  A message was received that exceeded the specified limit when sending a request or receiving a response from the server.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus NameResolutionFailure

  The name resolver service could not resolve the host name.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus Pending

  An internal asynchronous request is pending.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus PipelineFailure

  The request was a piplined request and the connection was closed before the response was received.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ProtocolError

  The response received from the server was complete but indicated a protocol-level error. For example, an HTTP protocol error such as 401 Access Denied would use this status.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ProxyNameResolutionFailure

  The name resolver service could not resolve the proxy host name.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ReceiveFailure

  A complete response was not received from the remote server.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus RequestCanceled

  The request was canceled, the method was called, or an unclassifiable error occurred. This is the default value for .

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus

  The request was not permitted by the cache policy. In general, this occurs when a request is not cacheable and the effective policy prohibits sending the request to the server. You might receive this status if a request method implies the presence of a request body, a request method requires direct interaction with the server, or a request contains a conditional header.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus

  This request was not permitted by the proxy.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus SecureChannelFailure

  An error occurred while establishing a connection using SSL.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus SendFailure

  A complete request could not be sent to the remote server.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus ServerProtocolViolation

  The server response was not a valid HTTP response.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus Success

  No error was encountered.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus Timeout

  No response was received during the time-out period for a request.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus TrustFailure

  A server certificate could not be validated.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus UnknownError To be added.

  An exception of unknown type has occurred.

0